# `ImageShow` Module

The `ImageShow` Module is used to display images. All default viewers convert the image to be shown to PNG format.

PIL.ImageShow.show(image, title=None, **options)

  Display a given image.

  Parameters

    - image – An image object.

    - title – Optional title. Not all viewers can display the title.

    - **options – Additional viewer options.

  Returns

    `True` if a suitable viewer was found, `False` otherwise.

class PIL.ImageShow.IPythonViewer

  The viewer for IPython frontends.

class PIL.ImageShow.WindowsViewer

  The default viewer on Windows is the default system application for PNG files.

class PIL.ImageShow.MacViewer

  The default viewer on macOS using `Preview.app`.

class PIL.ImageShow.UnixViewer

  The following viewers may be registered on Unix-based systems, if the given command is found:

  class XDGViewer

    The freedesktop.org `xdg-open` command.

  class DisplayViewer

    The ImageMagick `display` command. This viewer supports the `title` parameter.

  class GmDisplayViewer

    The GraphicsMagick `gm display` command.

  class EogViewer

    The GNOME Image Viewer `eog` command.

  class XVViewer

    The X Viewer `xv` command. This viewer supports the `title` parameter.

PIL.ImageShow.register(viewer, order=1)

  The `register()` function is used to register additional viewers.

  Parameters

    - viewer – The viewer to be registered.

    - order – Zero or a negative integer to prepend this viewer to the list, a positive integer to append it.

class PIL.ImageShow.Viewer

  Base class for viewers.

  show(image, **options)

    The main function for displaying an image. Converts the given image to the target format and displays it.

  format = None

    The format to convert the image into.

  options = {}

    Additional options used to convert the image.

  get_format(image)

    Return format name, or `None` to save as PGM/PPM.

  get_command(file, **options)

    Returns the command used to display the file. Not implemented in the base class.

  save_image(image)

    Save to temporary file and return filename.

  show_image(image, **options)

    Display the given image.

  show_file(file, **options)

    Display given file